## groovy.lang
Class Reference

Represents a reference to a value

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`Object` | `value`

Constructor Summary
`Reference()`
`Reference(Object value)`

Method Summary
`Object` | `get()`
`Object` | `getProperty(String property)`
`Object` | `invokeMethod(String name, Object args)`
`void` | `set(Object value)`
`void` | `setProperty(String property, Object newValue)`

Constructor Detail

### Reference

    public Reference()

### Reference

    public Reference(Object value)

Method Detail

### get

    public Object get()

### getProperty

    public Object getProperty(String property)

### invokeMethod

    public Object invokeMethod(String name, Object args)

### set

    public void set(Object value)

### setProperty

    public void setProperty(String property, Object newValue)